using System;
using System.Data.OleDb;
using System.Data.SqlClient;
using banco1.persistencia;

namespace banco1.domain
{
	/// <summary>
	/// Representa el hecho de un cliente contrata un producto, haciéndose titular
	/// de éste.
	/// </summary>
	public class Contrato
	{
		protected Cliente mCliente;
		protected Producto mProducto;

		public Contrato(Cliente c, Producto p)
		{
			mCliente=c;
			mProducto=p;
		}

		public void insert() 
		{
			String SQL="Insert into Contratos " +
				"(NIF, Sucursal, CCC, FechaDeAlta) values (?, ?, ?, ?)";
			OleDbCommand cmd = Broker.getCommand(SQL);
			cmd.Parameters.Add("", OleDbType.VarChar).Value=this.mCliente.nif;
			cmd.Parameters.Add("", OleDbType.VarChar).Value=this.mProducto.sucursal;
			cmd.Parameters.Add("", OleDbType.VarChar).Value=this.mProducto.ccc;
			cmd.Parameters.Add("", OleDbType.Date).Value=DateTime.Now;
			cmd.ExecuteNonQuery();
			cmd.Connection.Close();
		}
	}
}
